#########
# Author:        Marina Gourtovaia
# Maintainer:    $Author: gq1 $
# Created:       14 May 2010
# Last Modified: $Date: 2010-05-20 15:47:02 +0100 (Thu, 20 May 2010) $
# Id:            $Id: MockCatalystContext.pm 9387 2010-05-20 14:47:02Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-43.0/t/lib/MockCatalystContext.pm $

package MockCatalystContext;

use Moose;
use Carp;
use English qw(-no_match_vars);
use namespace::autoclean;
use Catalyst::Request;
use Catalyst::Response;

has 'response' =>  (isa      => 'Catalyst::Response',
                    is       => 'ro',
                    required => 0,
		    default => sub {Catalyst::Response->new()},
                   );

has 'request' =>   (isa      => 'Catalyst::Request',
                    is       => 'ro',
                    required => 0,
		    default => sub {Catalyst::Request->new()},
                   );
1;
