#!/software/bin/perl
#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       2011-02-09
# Last Modified: $Date: 2012-01-30 15:46:31 +0000 (Mon, 30 Jan 2012) $
# Id:            $Id: irods_pacbio_monitor.pl 15062 2012-01-30 15:46:31Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-43.0/scripts/irods_pacbio_monitor.pl $
#

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/perl5);

use npg_common::irods::PacBioMonitor;

use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$Revision: 15062 $ =~ /(\d+)/smx; $r; };

npg_common::irods::PacBioMonitor->new_with_options()->process();

exit 0;

=head1 NAME

irods_pacbio_monitor.pl

=head1 VERSION

$LastChangedRevision: 15062 $

=head1 USAGE

irods_pacbio_monitor.pl --from_date 2012-01-06 --before_date 2012-01-20

=head1 CONFIGURATION

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 SUBROUTINES/METHODS

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item strict

=item warnings

=item npg_common::irods::PacBioMonitor

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

Guoying Qi E<lt>gq1@sanger.ac.ukE<gt>

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2011 GRL, by Guoying Qi

This file is part of NPG.

NPG is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut

