#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       2011-08-02
# Last Modified: $Date: 2011-11-30 11:03:24 +0000 (Wed, 30 Nov 2011) $
# Id:            $Id: 20-bam_align_irods.t 14704 2011-11-30 11:03:24Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-43.0/t/20-bam_align_irods.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 3;
use Test::Exception;
use File::Temp qw/ tempfile tempdir /;

use_ok('npg_common::bam_align_irods');

{
    my $bam = npg_common::bam_align_irods->new(id_run => 5428, lane => 2, tag_index => 1, working_dir=>'/tmp', task=>'bam_realign');
    is($bam->bam_filename(), '5428_2#1.bam', 'correct bam file name');
    is($bam->old_bam_filename(), '5428_2#1_old.bam', 'correct old bam file name');
   
    #print $bam->reference(), "\n"; 
   
    #$bam->get_old_bam_from_irods();

    #$bam->bam_realign();
}

1;
__END__
